package com.pdaaphm.biz.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.pdaaphm.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class SubAlgorithmDTO {

    /** 算法子表id */
    private Long id;

    /** 算法表id */
    private Long algorithmId;

    /** 字段id */
    private Long fieldId;

    /** 文件id */
    private Long uploadId;

    /** 字段名称 */
    private String name;
    /**
     * 输入输出类型
     */
    private String type;

    /**
     * 文件路径
     */
    private String path;


    /** 创建者 */
    private String createBy;
    /** 创建时间 */
    private Date createTime;
    /** 更新者 */
    private String updateBy;
    /** 更新时间 */
    private Date updateTime;
    /** 备注 */
    private String remark;

}
